# Note that this is NOT a relocatable package

Summary:        The GNOME virtual file-system libraries
Name:           gnome-vfs
Version:        1.0.1
Release:        2
Vendor:		CVS
Distribution:	GNOME
Copyright:      LGPL
Group:          System Environment/Libraries
Source:         %{name}-%{version}.tar.bz2

URL:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-root
Requires:       glib >= 1.2.4
Requires:       GConf >= 0.9
Requires:       oaf >= 0.3.0

%description
GNOME VFS is the GNOME virtual file system. It is the foundation of the
Nautilus file manager. It provides a modular architecture and ships with
several modules that implement support for file systems, http, ftp and others.
It provides a URI-based API, a backend supporting asynchronous file operations,
a MIME type manipulation library and other features.

%package devel
Summary:    Libraries and include files for developing GNOME VFS applications.
Group:      Development/Libraries
Requires:   %name = %{version}
Requires:   GConf-devel
Requires:   oaf-devel

%description devel
This package provides the necessary development libraries for writing
GNOME VFS modules and applications that use the GNOME VFS APIs.

%prep
%setup -q

%build
%configure

make

%install
rm -fr %{buildroot}

%makeinstall
%clean
rm -fr %{buildroot}

%post
if ! grep %{_libdir} /etc/ld.so.conf > /dev/null ; then
  echo "%{_prefix}/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/gnome-vfs-mime-magic
%config %{_sysconfdir}/vfs/modules/*.conf
%dir %{_datadir}/application-registry
%{_libdir}/*.0
%{_libdir}/*.sh
%{_libdir}/*.so
%{_libdir}/vfs/extfs/*
%{_libdir}/vfs/modules/*.0
%{_libdir}/vfs/modules/*.so
%{_mandir}/man5/*.5*
%{_datadir}/application-registry/gnome-vfs.applications
%{_datadir}/gnome/html/*.txt
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/mime-info/*.keys
%{_datadir}/mime-info/*.mime

%files devel
%defattr(-, root, root)
%{_includedir}/libgnomevfs/*.h
%{_libdir}/vfs/include/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/vfs/modules/*.a
%{_libdir}/vfs/modules/*.la
%{_bindir}/gnome-vfs-config


%changelog
* Wed Jun  6 2001 Peter Hanecak <hanecak@megaloman.sk>
- %%{_tmppath} used
- .ba2 source archiv

* Wed May  9 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.
- clean up spec file some.

* Mon Feb 19 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- fix paths and macros

* Tue Feb 22 2000 Ross Golder <rossigee@bigfoot.com>
- Integrate into source tree
